Index: /NEMO/trunk/INSTALL.rst
===================================================================
--- /NEMO/trunk/INSTALL.rst	(revision 14238)
+++ /NEMO/trunk/INSTALL.rst	(revision 14239)
@@ -268,3 +268,3 @@
 Once changed, one needs to recompile ``nemo`` in order for this change to be taken in account.
 Note that most NEMO configurations will need to specify the following CPP keys:
-``key_iomput`` for IOs. MPI parallelism is activated by default. Use ``key_mpi_off`` to compile without MPI.
+``key_xios`` for IOs. MPI parallelism is activated by default. Use ``key_mpi_off`` to compile without MPI.
Index: /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm
===================================================================
--- /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/AGRIF_DEMO/cpp_AGRIF_DEMO.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_agrif key_qco
+bld::tool::fppkeys   key_si3 key_top key_xios key_agrif key_qco
Index: /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm
===================================================================
--- /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/AMM12/cpp_AMM12.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_diainstant key_iomput key_qco
+ bld::tool::fppkeys   key_diainstant key_xios key_qco
Index: /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm
===================================================================
--- /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_iomput key_linssh
+ bld::tool::fppkeys   key_c1d key_xios key_linssh
Index: /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm
===================================================================
--- /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/GYRE_BFM/cpp_GYRE_BFM.fcm	(revision 14239)
@@ -1,2 +1,2 @@
-bld::tool::fppkeys   key_top key_my_trc key_iomput key_linssh
+bld::tool::fppkeys   key_top key_my_trc key_xios key_linssh
 inc $BFMDIR/src/nemo/bfm.fcm
Index: /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/GYRE_PISCES/cpp_GYRE_PISCES.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_linssh key_iomput
+bld::tool::fppkeys   key_top key_linssh key_xios
Index: /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_ABL/cpp_ORCA2_ICE_ABL.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_iomput key_qco
+bld::tool::fppkeys key_si3 key_xios key_qco
Index: /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/ORCA2_ICE_PISCES/cpp_ORCA2_ICE_PISCES.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_qco 
+bld::tool::fppkeys   key_si3 key_top key_xios key_qco 
Index: /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_PISCES/cpp_ORCA2_OFF_PISCES.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_iomput
+bld::tool::fppkeys   key_top key_xios
Index: /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/ORCA2_OFF_TRC/cpp_ORCA2_OFF_TRC.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_top key_iomput
+bld::tool::fppkeys   key_top key_xios
Index: /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm
===================================================================
--- /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/ORCA2_SAS_ICE/cpp_ORCA2_SAS_ICE.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_linssh key_iomput
+ bld::tool::fppkeys   key_si3 key_linssh key_xios
Index: /NEMO/trunk/cfgs/SHARED/README.rst
===================================================================
--- /NEMO/trunk/cfgs/SHARED/README.rst	(revision 14238)
+++ /NEMO/trunk/cfgs/SHARED/README.rst	(revision 14239)
@@ -17,5 +17,5 @@
 Much more information is available from the :xios:`XIOS homepage<>` above and from the NEMO manual.
 
-Use of XIOS for diagnostics is activated using the pre-compiler key ``key_iomput``.
+Use of XIOS for diagnostics is activated using the pre-compiler key ``key_xios``.
 
 Extracting and installing XIOS
Index: /NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14238)
+++ /NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 14239)
@@ -57,5 +57,5 @@
       !                          !    = -1 do not do any restart
    nn_stocklist = 0,0,0,0,0,0,0,0,0,0 ! List of timesteps when a restart file is to be written
-   nn_write    =       0   !  used only if key_iomput is not defined: output frequency (modulo referenced to nn_it000)
+   nn_write    =       0   !  used only if key_xios is not defined: output frequency (modulo referenced to nn_it000)
       !                          !    =  0 force to write output files only at the end of the run
       !                          !    = -1 do not do any output file
Index: /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm
===================================================================
--- /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/SPITZ12/cpp_SPITZ12.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_si3 key_qco
+ bld::tool::fppkeys key_xios key_si3 key_qco
Index: /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm
===================================================================
--- /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm	(revision 14238)
+++ /NEMO/trunk/cfgs/WED025/cpp_WED025.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_si3
+ bld::tool::fppkeys key_xios key_si3
Index: /NEMO/trunk/doc/latex/TOP/subfiles/miscellaneous.tex
===================================================================
--- /NEMO/trunk/doc/latex/TOP/subfiles/miscellaneous.tex	(revision 14238)
+++ /NEMO/trunk/doc/latex/TOP/subfiles/miscellaneous.tex	(revision 14239)
@@ -24,5 +24,5 @@
 %
 \begin{minted}{bash}
-    bld::tool::fppkeys   key_iomput key_top
+    bld::tool::fppkeys   key_xios key_top
 \end{minted}
 
@@ -42,5 +42,5 @@
 %
 \begin{minted}{bash}
-   bld::tool::fppkeys   key_iomput key_top
+   bld::tool::fppkeys   key_xios key_top
 
    src::MYBGC::initialization         <MYBGCPATH>/initialization
@@ -60,5 +60,5 @@
 %Note that, the additional lines specific for the BGC model source and build paths, can be written into a separate file, e.g. named MYBGC.fcm, and then simply included in the cpp_NEMO_MYBGC.fcm as follow
 %
-%bld::tool::fppkeys  key_zdftke key_dynspg_ts key_iomput key_top
+%bld::tool::fppkeys  key_zdftke key_dynspg_ts key_xios key_top
 %inc <MYBGCPATH>/MYBGC.fcm
 %This will enable a more portable compilation structure for all MYBGC related configurations.
Index: /NEMO/trunk/doc/namelists/namrun
===================================================================
--- /NEMO/trunk/doc/namelists/namrun	(revision 14238)
+++ /NEMO/trunk/doc/namelists/namrun	(revision 14239)
@@ -26,5 +26,5 @@
       !                          !    = -1 do not do any restart
    nn_stocklist = 0,0,0,0,0,0,0,0,0,0 ! List of timesteps when a restart file is to be written
-   nn_write    =       0   !  used only if key_iomput is not defined: output frequency (modulo referenced to nn_it000)
+   nn_write    =       0   !  used only if key_xios is not defined: output frequency (modulo referenced to nn_it000)
       !                          !    =  0 force to write output files only at the end of the run
       !                          !    = -1 do not do any output file
Index: /NEMO/trunk/src/ABL/ablmod.F90
===================================================================
--- /NEMO/trunk/src/ABL/ablmod.F90	(revision 14238)
+++ /NEMO/trunk/src/ABL/ablmod.F90	(revision 14239)
@@ -537,5 +537,5 @@
       CALL lbc_lnk_multi( 'ablmod', tq_abl(:,:,:,nt_a,jp_ta), 'T', 1._wp , tq_abl(:,:,:,nt_a,jp_qa), 'T',  1._wp , kfillmode = jpfillnothing )   ! ++++ this should not be needed...
       !
-#if defined key_iomput
+#if defined key_xios
       ! 2D & first ABL level
       IF ( iom_use("pblh"   ) ) CALL iom_put (    "pblh",    pblh(:,:             ) )
Index: /NEMO/trunk/src/ABL/sbcabl.F90
===================================================================
--- /NEMO/trunk/src/ABL/sbcabl.F90	(revision 14238)
+++ /NEMO/trunk/src/ABL/sbcabl.F90	(revision 14239)
@@ -36,5 +36,5 @@
    USE sbc_ice, ONLY : wndm_ice, utau_ice, vtau_ice
 #endif
-#if ! defined key_iomput
+#if ! defined key_xios
    USE diawri    , ONLY : dia_wri_alloc_abl
 #endif
@@ -149,5 +149,5 @@
       CALL iom_close( inum )
 
-#if ! defined key_iomput
+#if ! defined key_xios
       IF( dia_wri_alloc_abl()  /= 0 ) CALL ctl_stop( 'STOP', 'abl_init : unable to allocate arrays' )
 #endif
Index: /NEMO/trunk/src/ICE/icerst.F90
===================================================================
--- /NEMO/trunk/src/ICE/icerst.F90	(revision 14238)
+++ /NEMO/trunk/src/ICE/icerst.F90	(revision 14239)
@@ -88,5 +88,5 @@
                CALL iom_open( TRIM(clpath)//TRIM(clname), numriw, ldwrt = .TRUE., kdlev = jpl, cdcomp = 'ICE' )
             ELSE
-#if defined key_iomput
+#if defined key_xios
                cw_icerst_cxt = "rstwi_"//TRIM(ADJUSTL(clkt))
                IF( TRIM(Agrif_CFixed()) == '0' ) THEN
Index: /NEMO/trunk/src/OCE/C1D/step_c1d.F90
===================================================================
--- /NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/C1D/step_c1d.F90	(revision 14239)
@@ -142,5 +142,5 @@
       IF( lrst_oce       )   CALL rst_write( kstp, Nbb, Nnn )  ! write output ocean restart file
       !
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitend .OR. nstop > 0 )   CALL xios_context_finalize()   ! needed for XIOS
       !
Index: /NEMO/trunk/src/OCE/DIA/diadetide.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diadetide.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/DIA/diadetide.F90	(revision 14239)
@@ -12,5 +12,5 @@
    USE phycst         , ONLY :   rpi
    USE tide_mod
-#if defined key_iomput
+#if defined key_xios
    USE xios
 #endif
@@ -47,5 +47,5 @@
 
       lk_diadetide = .FALSE.
-#if defined key_iomput
+#if defined key_xios
       ! Enquire detiding activation state (test for presence of detiding-related
       ! weights field and output file group)
Index: /NEMO/trunk/src/OCE/DIA/diamlr.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diamlr.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/DIA/diamlr.F90	(revision 14239)
@@ -15,5 +15,5 @@
    USE iom            , ONLY :   iom_put, iom_use, iom_update_file_name
    USE timing         , ONLY :   timing_start, timing_stop
-#if defined key_iomput
+#if defined key_xios
    USE xios
 #endif
@@ -64,5 +64,5 @@
       !!
       !!----------------------------------------------------------------------
-#if defined key_iomput
+#if defined key_xios
 
       TYPE(xios_fieldgroup)                       ::   slxhdl_fldgrp
Index: /NEMO/trunk/src/OCE/DIA/diawri.F90
===================================================================
--- /NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/DIA/diawri.F90	(revision 14239)
@@ -70,5 +70,5 @@
    PUBLIC   dia_wri_state
    PUBLIC   dia_wri_alloc           ! Called by nemogcm module
-#if ! defined key_iomput   
+#if ! defined key_xios   
    PUBLIC   dia_wri_alloc_abl       ! Called by sbcabl  module (if ln_abl = .true.)
 #endif
@@ -95,7 +95,7 @@
 CONTAINS
 
-#if defined key_iomput
+#if defined key_xios
    !!----------------------------------------------------------------------
-   !!   'key_iomput'                                        use IOM library
+   !!   'key_xios'                                        use IOM library
    !!----------------------------------------------------------------------
    INTEGER FUNCTION dia_wri_alloc()
Index: /NEMO/trunk/src/OCE/DOM/domain.F90
===================================================================
--- /NEMO/trunk/src/OCE/DOM/domain.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/DOM/domain.F90	(revision 14239)
@@ -423,5 +423,5 @@
             WRITE(numout,*) '      frequency of restart file       nn_stock        = ', nn_stock
          ENDIF
-#if ! defined key_iomput
+#if ! defined key_xios
          WRITE(numout,*) '      frequency of output file        nn_write        = ', nn_write
 #endif
@@ -500,5 +500,5 @@
          ENDIF
       ENDIF
-#if ! defined key_iomput
+#if ! defined key_xios
       IF( nn_write == -1 )   CALL ctl_warn( 'nn_write = -1 --> no output files will be done' )
       IF ( nn_write == 0 ) THEN
Index: /NEMO/trunk/src/OCE/FLO/flowri.F90
===================================================================
--- /NEMO/trunk/src/OCE/FLO/flowri.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/FLO/flowri.F90	(revision 14239)
@@ -199,5 +199,5 @@
       !----------------------
 
-#if defined key_iomput
+#if defined key_xios
          CALL iom_put( "traj_lon"     , zlon )
          CALL iom_put( "traj_lat"     , zlat )
Index: /NEMO/trunk/src/OCE/ICB/icbstp.F90
===================================================================
--- /NEMO/trunk/src/OCE/ICB/icbstp.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/ICB/icbstp.F90	(revision 14239)
@@ -126,5 +126,5 @@
       !                                   !* Gridded diagnostics
       !                                   !  To get these iom_put's and those preceding to actually do something
-      !                                   !  use key_iomput in cpp file and create content for XML file
+      !                                   !  use key_xios in cpp file and create content for XML file
       !
       CALL iom_put( "calving"           , berg_grid%calving      (:,:)   )  ! 'calving mass input'
Index: /NEMO/trunk/src/OCE/IOM/iom.F90
===================================================================
--- /NEMO/trunk/src/OCE/IOM/iom.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/IOM/iom.F90	(revision 14239)
@@ -36,5 +36,5 @@
    USE phycst          ! physical constants
    USE dianam          ! build name of file
-#if defined key_iomput
+#if defined key_xios
    USE xios
 # endif
@@ -52,5 +52,5 @@
    PUBLIC   !   must be public to be able to access iom_def through iom
 
-#if defined key_iomput
+#if defined key_xios
    LOGICAL, PUBLIC, PARAMETER ::   lk_iomput = .TRUE.        !: iom_put flag
 #else
@@ -69,5 +69,5 @@
    PRIVATE iom_p1d_sp, iom_p2d_sp, iom_p3d_sp, iom_p4d_sp
    PRIVATE iom_p1d_dp, iom_p2d_dp, iom_p3d_dp, iom_p4d_dp
-#if defined key_iomput
+#if defined key_xios
    PRIVATE iom_set_domain_attr, iom_set_axis_attr, iom_set_field_attr, iom_set_file_attr, iom_get_file_attr, iom_set_grid_attr
    PRIVATE set_grid, set_grid_bounds, set_scalar, set_xmlatt, set_mooring, iom_sdate
@@ -115,5 +115,5 @@
       INTEGER         , OPTIONAL, INTENT(in)  :: kdid
       LOGICAL         , OPTIONAL, INTENT(in)  :: ld_closedef
-#if defined key_iomput
+#if defined key_xios
       !
       TYPE(xios_duration) :: dtime    = xios_duration(0, 0, 0, 0, 0, 0)
@@ -308,5 +308,5 @@
       !!----------------------------------------------------------------------
       CHARACTER(len=*), OPTIONAL, INTENT(IN) :: cdname
-#if defined key_iomput
+#if defined key_xios
       LOGICAL :: llrstw
 
@@ -343,5 +343,5 @@
       INTEGER, INTENT(IN) :: idnum
 
-#if defined key_iomput
+#if defined key_xios
       INTEGER                                    :: ndims, nvars, natts, unlimitedDimId, dimlen, xtype,mdims
       TYPE(xios_field)                           :: field_hdl
@@ -449,5 +449,5 @@
       !!---------------------------------------------------------------------
       CHARACTER(len=*) :: cdrst_file
-#if defined key_iomput
+#if defined key_xios
       TYPE(xios_file) :: file_hdl
       TYPE(xios_filegroup) :: filegroup_hdl
@@ -488,5 +488,5 @@
       REAL(dp), OPTIONAL, INTENT(IN), DIMENSION(:, :, :) :: rd3
       REAL(sp), OPTIONAL, INTENT(IN), DIMENSION(:, :, :) :: rs3
-#if defined key_iomput
+#if defined key_xios
       TYPE(xios_field) :: field_hdl
       TYPE(xios_file) :: file_hdl
@@ -593,5 +593,5 @@
       LOGICAL, INTENT(IN)               :: ld_rstr
       INTEGER :: ji
-#if defined key_iomput
+#if defined key_xios
       TYPE(xios_domaingroup)            :: domaingroup_hdl
       TYPE(xios_domain)                 :: domain_hdl
@@ -666,5 +666,5 @@
       !!---------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in) :: cdname
-#if defined key_iomput
+#if defined key_xios
       TYPE(xios_context) :: nemo_hdl
       IF( TRIM(Agrif_CFixed()) == '0' ) THEN
@@ -955,5 +955,5 @@
          ENDIF
       ELSE
-#if defined key_iomput
+#if defined key_xios
          IF(lwp) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
          CALL iom_swap(context)
@@ -1003,5 +1003,5 @@
          ENDIF
       ELSE
-#if defined key_iomput
+#if defined key_xios
          IF(lwp) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
          CALL iom_swap(context)
@@ -1367,5 +1367,5 @@
          !
       ELSE        ! read using XIOS. Only if KEY_IOMPUT is defined
-#if defined key_iomput
+#if defined key_xios
 !would be good to be able to check which context is active and swap only if current is not restart
          idvar = iom_varid( kiomid, cdvar )
@@ -1422,5 +1422,5 @@
       CHARACTER(LEN=*), INTENT(in ) ::   cdname
       REAL(wp), DIMENSION(jpi,jpj) ::   z2d
-#if defined key_iomput
+#if defined key_xios
       IF( xios_field_is_active( cdname, at_current_timestep_arg = .TRUE. ) ) THEN
          z2d(:,:) = 0._wp
@@ -1605,5 +1605,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
@@ -1645,5 +1645,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
@@ -1686,5 +1686,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
@@ -1726,5 +1726,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
@@ -1767,5 +1767,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
@@ -1807,5 +1807,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
@@ -1848,5 +1848,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
@@ -1888,5 +1888,5 @@
 
       IF( llx ) THEN
-#ifdef key_iomput
+#ifdef key_xios
          IF( kt == kwrite ) THEN
             IF(lwp) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
@@ -1966,5 +1966,5 @@
       REAL(sp)        , INTENT(in) ::   pfield0d
       !!      REAL(wp)        , DIMENSION(jpi,jpj) ::   zz     ! masson
-#if defined key_iomput
+#if defined key_xios
 !!clem      zz(:,:)=pfield0d
 !!clem      CALL xios_send_field(cdname, zz)
@@ -1979,5 +1979,5 @@
       REAL(dp)        , INTENT(in) ::   pfield0d
 !!      REAL(wp)        , DIMENSION(jpi,jpj) ::   zz     ! masson
-#if defined key_iomput
+#if defined key_xios
 !!clem      zz(:,:)=pfield0d
 !!clem      CALL xios_send_field(cdname, zz)
@@ -1992,5 +1992,5 @@
       CHARACTER(LEN=*)          , INTENT(in) ::   cdname
       REAL(sp),     DIMENSION(:), INTENT(in) ::   pfield1d
-#if defined key_iomput
+#if defined key_xios
       CALL xios_send_field( cdname, RESHAPE( (/pfield1d/), (/1,1,SIZE(pfield1d)/) ) )
 #else
@@ -2002,5 +2002,5 @@
       CHARACTER(LEN=*)          , INTENT(in) ::   cdname
       REAL(dp),     DIMENSION(:), INTENT(in) ::   pfield1d
-#if defined key_iomput
+#if defined key_xios
       CALL xios_send_field( cdname, RESHAPE( (/pfield1d/), (/1,1,SIZE(pfield1d)/) ) )
 #else
@@ -2013,5 +2013,5 @@
       REAL(sp),     DIMENSION(:,:), INTENT(in) ::   pfield2d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field( cdname, pfield2d )
 #else
@@ -2025,5 +2025,5 @@
       REAL(dp),     DIMENSION(:,:), INTENT(in) ::   pfield2d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field( cdname, pfield2d )
 #else
@@ -2037,5 +2037,5 @@
       REAL(sp),       DIMENSION(:,:,:), INTENT(in) ::   pfield3d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field( cdname, pfield3d )
 #else
@@ -2049,5 +2049,5 @@
       REAL(dp),       DIMENSION(:,:,:), INTENT(in) ::   pfield3d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field( cdname, pfield3d )
 #else
@@ -2061,5 +2061,5 @@
       REAL(sp),       DIMENSION(:,:,:,:), INTENT(in) ::   pfield4d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field (cdname, pfield4d )
 #else
@@ -2073,5 +2073,5 @@
       REAL(dp),       DIMENSION(:,:,:,:), INTENT(in) ::   pfield4d
       IF( iom_use(cdname) ) THEN
-#if defined key_iomput
+#if defined key_xios
          CALL xios_send_field (cdname, pfield4d )
 #else
@@ -2081,7 +2081,7 @@
    END SUBROUTINE iom_p4d_dp
 
-#if defined key_iomput
+#if defined key_xios
    !!----------------------------------------------------------------------
-   !!   'key_iomput'                                         XIOS interface
+   !!   'key_xios'                                         XIOS interface
    !!----------------------------------------------------------------------
 
@@ -2713,5 +2713,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   NOT 'key_iomput'                               a few dummy routines
+   !!   NOT 'key_xios'                               a few dummy routines
    !!----------------------------------------------------------------------
    SUBROUTINE iom_setkt( kt, cdname )
@@ -2735,5 +2735,5 @@
    LOGICAL FUNCTION iom_use( cdname )
       CHARACTER(LEN=*), INTENT(in) ::   cdname
-#if defined key_iomput
+#if defined key_xios
       iom_use = xios_field_is_active( cdname )
 #else
@@ -2746,5 +2746,5 @@
       REAL(wp)        , INTENT(out) ::   pmiss_val
       REAL(dp)                      ::   ztmp_pmiss_val
-#if defined key_iomput
+#if defined key_xios
       ! get missing value
       CALL xios_get_field_attr( cdname, default_value = ztmp_pmiss_val )
Index: /NEMO/trunk/src/OCE/IOM/restart.F90
===================================================================
--- /NEMO/trunk/src/OCE/IOM/restart.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/IOM/restart.F90	(revision 14239)
@@ -119,5 +119,5 @@
                CALL iom_open( TRIM(clpath)//TRIM(clname), numrow, ldwrt = .TRUE. )
             ELSE
-#if defined key_iomput
+#if defined key_xios
                cw_ocerst_cxt = "rstw_"//TRIM(ADJUSTL(clkt))
                IF( TRIM(Agrif_CFixed()) == '0' ) THEN
Index: /NEMO/trunk/src/OCE/TRD/trd_oce.F90
===================================================================
--- /NEMO/trunk/src/OCE/TRD/trd_oce.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/TRD/trd_oce.F90	(revision 14239)
@@ -27,5 +27,5 @@
    LOGICAL , PUBLIC ::   l_trddyn        !: momentum trend flag (set from namelist in trdini)
    
-# if ( defined key_trdtrc && defined key_iomput )  ||  defined key_trdmxl_trc
+# if ( defined key_trdtrc && defined key_xios )  ||  defined key_trdmxl_trc
    LOGICAL , PUBLIC ::   l_trdtrc = .TRUE.        !: tracers  trend flag
 # else
Index: /NEMO/trunk/src/OCE/USR/README.rst
===================================================================
--- /NEMO/trunk/src/OCE/USR/README.rst	(revision 14238)
+++ /NEMO/trunk/src/OCE/USR/README.rst	(revision 14239)
@@ -37,5 +37,5 @@
 .. code-block:: console
 
-   $ ./makenemo –n 'ORCA2_ICE_PISCES_MINE' -r 'ORCA2_ICE_PISCES' -m 'my_arch' del_key 'key_iomput' add_key 'key_diahth'
+   $ ./makenemo –n 'ORCA2_ICE_PISCES_MINE' -r 'ORCA2_ICE_PISCES' -m 'my_arch' del_key 'key_xios' add_key 'key_diahth'
 
 Option 3: Use the SIREN tools to subset an existing model
Index: /NEMO/trunk/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/OCE/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/nemogcm.F90	(revision 14239)
@@ -233,5 +233,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
                                     CALL xios_finalize  ! end mpp communications with xios
       IF( lk_oasis     )            CALL cpl_finalize   ! end coupling and mpp communications with OASIS
@@ -271,5 +271,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       IF( Agrif_Root() ) THEN
          IF( lk_oasis ) THEN
Index: /NEMO/trunk/src/OCE/step.F90
===================================================================
--- /NEMO/trunk/src/OCE/step.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/step.F90	(revision 14239)
@@ -97,5 +97,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -384,5 +384,5 @@
       IF( lk_oasis .AND. nstop == 0 )   CALL sbc_cpl_snd( kstp, Nbb, Nnn )     ! coupled mode : field exchanges
       !
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: /NEMO/trunk/src/OCE/step_oce.F90
===================================================================
--- /NEMO/trunk/src/OCE/step_oce.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/step_oce.F90	(revision 14239)
@@ -104,5 +104,5 @@
    USE timing          ! Timing
 
-#if defined key_iomput
+#if defined key_xios
    USE xios            ! I/O server
 #endif
Index: /NEMO/trunk/src/OCE/stpmlf.F90
===================================================================
--- /NEMO/trunk/src/OCE/stpmlf.F90	(revision 14238)
+++ /NEMO/trunk/src/OCE/stpmlf.F90	(revision 14239)
@@ -105,5 +105,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -408,5 +408,5 @@
       IF( lk_oasis .AND. nstop == 0 )   CALL sbc_cpl_snd( kstp, Nbb, Nnn )     ! coupled mode : field exchanges
       !
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: /NEMO/trunk/src/OFF/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/OFF/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/src/OFF/nemogcm.F90	(revision 14239)
@@ -57,5 +57,5 @@
    USE mppini         ! shared/distributed memory setting (mpp_init routine)
    USE lib_mpp        ! distributed memory computing
-#if defined key_iomput
+#if defined key_xios
    USE xios           ! xIOserver
 #endif 
@@ -175,5 +175,5 @@
       END DO
       !
-#if defined key_iomput
+#if defined key_xios
       CALL iom_context_finalize( cxios_context ) ! needed for XIOS+AGRIF
 #endif
@@ -194,5 +194,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
                      CALL xios_finalize   ! end mpp communications with xios
 #else
@@ -230,5 +230,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       CALL xios_initialize( "for_xios_mpi_id", return_comm=ilocal_comm )   ! nemo local communicator given by xios
       CALL mpp_start( ilocal_comm )
Index: /NEMO/trunk/src/SAO/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SAO/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/src/SAO/nemogcm.F90	(revision 14239)
@@ -35,5 +35,5 @@
    USE lbcnfd  , ONLY : isendto, nsndto ! Setup of north fold exchanges 
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-#if defined key_iomput
+#if defined key_xios
    USE xios           ! xIOserver
 #endif
@@ -107,5 +107,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       IF( Agrif_Root() ) THEN
          IF( lk_oasis ) THEN
Index: /NEMO/trunk/src/SAS/diawri.F90
===================================================================
--- /NEMO/trunk/src/SAS/diawri.F90	(revision 14238)
+++ /NEMO/trunk/src/SAS/diawri.F90	(revision 14239)
@@ -52,5 +52,5 @@
    PUBLIC   dia_wri_state
    PUBLIC   dia_wri_alloc           ! Called by nemogcm module
-#if ! defined key_iomput   
+#if ! defined key_xios   
    PUBLIC   dia_wri_alloc_abl       ! Called by sbcabl  module (if ln_abl = .true.)
 #endif
@@ -71,7 +71,7 @@
 CONTAINS
 
-# if defined key_iomput
-   !!----------------------------------------------------------------------
-   !!   'key_iomput'                                        use IOM library
+# if defined key_xios
+   !!----------------------------------------------------------------------
+   !!   'key_xios'                                        use IOM library
    !!----------------------------------------------------------------------
    INTEGER FUNCTION dia_wri_alloc()
Index: /NEMO/trunk/src/SAS/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SAS/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/src/SAS/nemogcm.F90	(revision 14239)
@@ -42,5 +42,5 @@
    USE lbcnfd  , ONLY : isendto, nsndto ! Setup of north fold exchanges
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-#if defined key_iomput
+#if defined key_xios
    USE xios           ! xIOserver
 #endif
@@ -185,5 +185,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
                                     CALL xios_finalize  ! end mpp communications with xios
       IF( lk_oasis     )            CALL cpl_finalize   ! end coupling and mpp communications with OASIS
@@ -228,5 +228,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       IF( Agrif_Root() ) THEN
          IF( lk_oasis ) THEN
Index: /NEMO/trunk/src/SAS/step.F90
===================================================================
--- /NEMO/trunk/src/SAS/step.F90	(revision 14238)
+++ /NEMO/trunk/src/SAS/step.F90	(revision 14239)
@@ -32,5 +32,5 @@
    USE lbclnk           !
    USE timing           ! Timing            
-#if defined key_iomput
+#if defined key_xios
    USE xios
 #endif
@@ -84,5 +84,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif   
@@ -156,5 +156,5 @@
       IF( lk_oasis .AND. nstop == 0 ) CALL sbc_cpl_snd( kstp, Nbb, Nnn )       ! coupled mode : field exchanges if OASIS-coupled ice
 
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitrst ) THEN
          IF(.NOT.lwxios) THEN
Index: /NEMO/trunk/src/SWE/nemogcm.F90
===================================================================
--- /NEMO/trunk/src/SWE/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/src/SWE/nemogcm.F90	(revision 14239)
@@ -135,5 +135,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
                        CALL xios_finalize  ! end mpp communications with xios
 #else
@@ -170,5 +170,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       CALL xios_initialize( "for_xios_mpi_id", return_comm=ilocal_comm )   ! nemo local communicator given by xios
       CALL mpp_start( ilocal_comm )
Index: /NEMO/trunk/src/SWE/stp_oce.F90
===================================================================
--- /NEMO/trunk/src/SWE/stp_oce.F90	(revision 14238)
+++ /NEMO/trunk/src/SWE/stp_oce.F90	(revision 14239)
@@ -102,5 +102,5 @@
    USE timing          ! Timing
 
-#if defined key_iomput
+#if defined key_xios
    USE xios            ! I/O server
 #endif
Index: /NEMO/trunk/src/SWE/stpmlf.F90
===================================================================
--- /NEMO/trunk/src/SWE/stpmlf.F90	(revision 14238)
+++ /NEMO/trunk/src/SWE/stpmlf.F90	(revision 14239)
@@ -231,5 +231,5 @@
 
       !
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitend .OR. indic < 0 ) THEN
 !!st : cxios_context needed ? because opened earlier ???         
Index: /NEMO/trunk/src/SWE/stprk3.F90
===================================================================
--- /NEMO/trunk/src/SWE/stprk3.F90	(revision 14238)
+++ /NEMO/trunk/src/SWE/stprk3.F90	(revision 14239)
@@ -328,5 +328,5 @@
 
       !
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitend .OR. indic < 0 ) THEN 
          CALL iom_context_finalize( cxios_context )
Index: /NEMO/trunk/src/TOP/AGE/trcwri_age.F90
===================================================================
--- /NEMO/trunk/src/TOP/AGE/trcwri_age.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/AGE/trcwri_age.F90	(revision 14239)
@@ -6,5 +6,5 @@
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
    !!----------------------------------------------------------------------
-#if defined key_top &&  defined key_iomput
+#if defined key_top &&  defined key_xios
    !!----------------------------------------------------------------------
    !! trc_wri_age   :  outputs of concentration fields
Index: /NEMO/trunk/src/TOP/C14/trcwri_c14.F90
===================================================================
--- /NEMO/trunk/src/TOP/C14/trcwri_c14.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/C14/trcwri_c14.F90	(revision 14239)
@@ -7,5 +7,5 @@
    !! History :   2.0  !  2015 (A. Mouchet)  adapted code for C14
    !!----------------------------------------------------------------------
-#if defined key_top && defined key_iomput
+#if defined key_top && defined key_xios
    !!----------------------------------------------------------------------
    !! trc_wri_c14   :  outputs of ventilation fields
Index: /NEMO/trunk/src/TOP/CFC/trcwri_cfc.F90
===================================================================
--- /NEMO/trunk/src/TOP/CFC/trcwri_cfc.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/CFC/trcwri_cfc.F90	(revision 14239)
@@ -6,5 +6,5 @@
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
    !!----------------------------------------------------------------------
-#if defined key_top && defined key_iomput
+#if defined key_top && defined key_xios
    !!----------------------------------------------------------------------
    !! trc_wri_cfc   :  outputs of concentration fields
Index: /NEMO/trunk/src/TOP/MY_TRC/trcwri_my_trc.F90
===================================================================
--- /NEMO/trunk/src/TOP/MY_TRC/trcwri_my_trc.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/MY_TRC/trcwri_my_trc.F90	(revision 14239)
@@ -4,5 +4,5 @@
    !!     trc_wri_my_trc   :  outputs of concentration fields
    !!======================================================================
-#if defined key_top && defined key_iomput
+#if defined key_top && defined key_xios
    !!----------------------------------------------------------------------
    !! History :      !  2007  (C. Ethe, G. Madec)  Original code
Index: /NEMO/trunk/src/TOP/PISCES/SED/sedrst.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/SED/sedrst.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/PISCES/SED/sedrst.F90	(revision 14239)
@@ -84,5 +84,5 @@
             CALL iom_open( TRIM(clpath)//TRIM(clname), numrsw, ldwrt = .TRUE., kdlev = jpksed, cdcomp = 'SED' )
          ELSE
-#if defined key_iomput
+#if defined key_xios
             cw_sedrst_cxt = "rstws_"//TRIM(ADJUSTL(clkt))
             IF( TRIM(Agrif_CFixed()) == '0' ) THEN
Index: /NEMO/trunk/src/TOP/PISCES/trcwri_pisces.F90
===================================================================
--- /NEMO/trunk/src/TOP/PISCES/trcwri_pisces.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/PISCES/trcwri_pisces.F90	(revision 14239)
@@ -6,5 +6,5 @@
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
    !!----------------------------------------------------------------------
-#if defined key_top && defined key_iomput 
+#if defined key_top && defined key_xios 
    !!----------------------------------------------------------------------
    !! trc_wri_pisces   :  outputs of concentration fields
Index: /NEMO/trunk/src/TOP/README.rst
===================================================================
--- /NEMO/trunk/src/TOP/README.rst	(revision 14238)
+++ /NEMO/trunk/src/TOP/README.rst	(revision 14239)
@@ -62,5 +62,5 @@
 Here below the list of preprocessing keys that applies to the TOP interface (beside ``key_top``):
 
-``key_iomput``
+``key_xios``
    use XIOS I/O
 
@@ -320,5 +320,5 @@
 .. code-block:: perl
 
-   bld::tool::fppkeys key_iomput key_top
+   bld::tool::fppkeys key_xios key_top
 
 the compilation with :file:`makenemo` will be executed through the following syntax
@@ -348,5 +348,5 @@
 .. code-block:: perl
 
-   bld::tool::fppkeys  key_iomput key_top
+   bld::tool::fppkeys  key_xios key_top
 
    src::MYBGC::initialization         <MYBGCPATH>/initialization
@@ -376,5 +376,5 @@
    .. code-block:: perl
 
-      bld::tool::fppkeys  key_zdftke key_dynspg_ts key_iomput key_top
+      bld::tool::fppkeys  key_zdftke key_dynspg_ts key_xios key_top
       inc <MYBGCPATH>/MYBGC.fcm
 
Index: /NEMO/trunk/src/TOP/TRP/trdtrc_oce.F90
===================================================================
--- /NEMO/trunk/src/TOP/TRP/trdtrc_oce.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/TRP/trdtrc_oce.F90	(revision 14239)
@@ -24,5 +24,5 @@
    LOGICAL, DIMENSION(:), ALLOCATABLE ::   ln_trdtrc   !: large trends diagnostic to write or not (namelist)
 
-# if defined key_trdtrc && defined key_iomput
+# if defined key_trdtrc && defined key_xios
    LOGICAL, PARAMETER ::   lk_trdtrc = .TRUE. 
 # else
Index: /NEMO/trunk/src/TOP/trcnam.F90
===================================================================
--- /NEMO/trunk/src/TOP/trcnam.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/trcnam.F90	(revision 14239)
@@ -31,5 +31,5 @@
    PUBLIC   trc_nam      ! called in trcini
 
-   TYPE(PTRACER), DIMENSION(jpmaxtrc), PUBLIC  :: sn_tracer  !: type of tracer for saving if not key_iomput
+   TYPE(PTRACER), DIMENSION(jpmaxtrc), PUBLIC  :: sn_tracer  !: type of tracer for saving if not key_xios
 
    !!----------------------------------------------------------------------
Index: /NEMO/trunk/src/TOP/trcrst.F90
===================================================================
--- /NEMO/trunk/src/TOP/trcrst.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/trcrst.F90	(revision 14239)
@@ -96,5 +96,5 @@
             CALL iom_open( TRIM(clpath)//TRIM(clname), numrtw, ldwrt = .TRUE. )
          ELSE
-#if defined key_iomput
+#if defined key_xios
             cw_toprst_cxt = "rstwt_"//TRIM(ADJUSTL(clkt))
             IF( TRIM(Agrif_CFixed()) == '0' ) THEN
Index: /NEMO/trunk/src/TOP/trcwri.F90
===================================================================
--- /NEMO/trunk/src/TOP/trcwri.F90	(revision 14238)
+++ /NEMO/trunk/src/TOP/trcwri.F90	(revision 14239)
@@ -6,5 +6,5 @@
    !! History :   1.0  !  2009-05 (C. Ethe)  Original code
    !!----------------------------------------------------------------------
-#if defined key_top && defined key_iomput
+#if defined key_top && defined key_xios
    !!----------------------------------------------------------------------
    !!   'key_top'                                           TOP models
Index: /NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm
===================================================================
--- /NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 14238)
+++ /NEMO/trunk/tests/C1D_ASICS/cpp_C1D_ASICS.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_qco key_iomput
+ bld::tool::fppkeys   key_c1d key_qco key_xios
Index: /NEMO/trunk/tests/CANAL/cpp_CANAL.fcm
===================================================================
--- /NEMO/trunk/tests/CANAL/cpp_CANAL.fcm	(revision 14238)
+++ /NEMO/trunk/tests/CANAL/cpp_CANAL.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_qco 
+ bld::tool::fppkeys key_xios key_qco 
Index: /NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm
===================================================================
--- /NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm	(revision 14238)
+++ /NEMO/trunk/tests/CPL_OASIS/cpp_CPL_OASIS.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_si3 key_top key_iomput key_oasis3 key_qco
+bld::tool::fppkeys   key_si3 key_top key_xios key_oasis3 key_qco
Index: /NEMO/trunk/tests/DOME/cpp_DOME.fcm
===================================================================
--- /NEMO/trunk/tests/DOME/cpp_DOME.fcm	(revision 14238)
+++ /NEMO/trunk/tests/DOME/cpp_DOME.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_agrif key_linssh
+ bld::tool::fppkeys key_xios key_agrif key_linssh
Index: /NEMO/trunk/tests/DONUT/cpp_DONUT.fcm
===================================================================
--- /NEMO/trunk/tests/DONUT/cpp_DONUT.fcm	(revision 14238)
+++ /NEMO/trunk/tests/DONUT/cpp_DONUT.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_si3 key_qco key_iomput
+ bld::tool::fppkeys key_si3 key_qco key_xios
Index: /NEMO/trunk/tests/ICB/MY_SRC/step.F90
===================================================================
--- /NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14238)
+++ /NEMO/trunk/tests/ICB/MY_SRC/step.F90	(revision 14239)
@@ -98,5 +98,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -150,5 +150,5 @@
       ENDIF
       !
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: /NEMO/trunk/tests/ICB/cpp_ICB.fcm
===================================================================
--- /NEMO/trunk/tests/ICB/cpp_ICB.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ICB/cpp_ICB.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_qco 
+ bld::tool::fppkeys   key_xios key_qco 
Index: /NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm
===================================================================
--- /NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ICE_ADV1D/cpp_ICE_ADV1D.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_iomput key_linssh
+bld::tool::fppkeys key_si3 key_xios key_linssh
Index: /NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm
===================================================================
--- /NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ICE_ADV2D/cpp_ICE_ADV2D.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_si3 key_linssh key_xios
Index: /NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm
===================================================================
--- /NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ICE_AGRIF/cpp_ICE_AGRIF.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_agrif key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_agrif key_si3 key_linssh key_xios
Index: /NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm
===================================================================
--- /NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ICE_RHEO/cpp_ICE_RHEO.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_si3 key_linssh key_iomput
+bld::tool::fppkeys key_si3 key_linssh key_xios
Index: /NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm
===================================================================
--- /NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ISOMIP+/cpp_ISOMIP+.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput 
+ bld::tool::fppkeys   key_xios 
Index: /NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm
===================================================================
--- /NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm	(revision 14238)
+++ /NEMO/trunk/tests/ISOMIP/cpp_ISOMIP.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput 
+ bld::tool::fppkeys   key_xios 
Index: /NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm
===================================================================
--- /NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14238)
+++ /NEMO/trunk/tests/LOCK_EXCHANGE/cpp_LOCK_EXCHANGE.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_qco key_iomput 
+ bld::tool::fppkeys   key_qco key_xios 
Index: /NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm
===================================================================
--- /NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14238)
+++ /NEMO/trunk/tests/OVERFLOW/cpp_OVERFLOW.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys   key_qco key_iomput 
+bld::tool::fppkeys   key_qco key_xios 
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 14238)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/diawri.F90	(revision 14239)
@@ -63,7 +63,7 @@
 CONTAINS
 
-#if defined key_iomput
-   !!----------------------------------------------------------------------
-   !!   'key_iomput'                                        use IOM library
+#if defined key_xios
+   !!----------------------------------------------------------------------
+   !!   'key_xios'                                        use IOM library
    !!----------------------------------------------------------------------
    INTEGER FUNCTION dia_wri_alloc()
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14238)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/nemogcm.F90	(revision 14239)
@@ -34,5 +34,5 @@
    USE mppini         ! shared/distributed memory setting (mpp_init routine)
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)
-#if defined key_iomput
+#if defined key_xios
    USE xios           ! xIOserver
 #endif
@@ -113,5 +113,5 @@
       CALL nemo_closefile
       !
-#if defined key_iomput
+#if defined key_xios
       CALL xios_finalize  ! end mpp communications with xios
 #else
@@ -148,5 +148,5 @@
       !                             !-------------------------------------------------!
       !
-#if defined key_iomput
+#if defined key_xios
       IF( Agrif_Root() ) THEN
          CALL xios_initialize( "for_xios_mpi_id", return_comm=ilocal_comm )   ! nemo local communicator given by xios
Index: /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14238)
+++ /NEMO/trunk/tests/STATION_ASF/MY_SRC/step_c1d.F90	(revision 14239)
@@ -79,5 +79,5 @@
       IF( lrst_oce       )   CALL rst_write( kstp, Nbb, Nnn )  ! write output ocean restart file
       !
-#if defined key_iomput
+#if defined key_xios
       IF( kstp == nitend .OR. nstop > 0 )   CALL xios_context_finalize()   ! needed for XIOS
       !
Index: /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm
===================================================================
--- /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14238)
+++ /NEMO/trunk/tests/STATION_ASF/cpp_STATION_ASF.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_si3 key_c1d key_qco key_iomput
+ bld::tool::fppkeys   key_si3 key_c1d key_qco key_xios
Index: /NEMO/trunk/tests/SWG/cpp_SWG.fcm
===================================================================
--- /NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14238)
+++ /NEMO/trunk/tests/SWG/cpp_SWG.fcm	(revision 14239)
@@ -1,1 +1,1 @@
-bld::tool::fppkeys key_iomput key_qco key_RK3
+bld::tool::fppkeys key_xios key_qco key_RK3
Index: /NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90
===================================================================
--- /NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90	(revision 14238)
+++ /NEMO/trunk/tests/TSUNAMI/MY_SRC/stpmlf.F90	(revision 14239)
@@ -98,5 +98,5 @@
       ENDIF
       IF( kstp == nit000 + 1 )   lk_agrif_fstep = .FALSE.
-# if defined key_iomput
+# if defined key_xios
       IF( Agrif_Nbstepint() == 0 )   CALL iom_swap( cxios_context )
 # endif
@@ -181,5 +181,5 @@
       ENDIF
 
-#if defined key_iomput
+#if defined key_xios
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! Finalize contextes if end of simulation or error detected
Index: /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm
===================================================================
--- /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14238)
+++ /NEMO/trunk/tests/TSUNAMI/cpp_TSUNAMI.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_qco key_iomput
+ bld::tool::fppkeys key_qco key_xios
Index: /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm
===================================================================
--- /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14238)
+++ /NEMO/trunk/tests/VORTEX/cpp_VORTEX.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys key_iomput key_agrif key_qco 
+ bld::tool::fppkeys key_xios key_agrif key_qco 
Index: /NEMO/trunk/tests/WAD/cpp_WAD.fcm
===================================================================
--- /NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14238)
+++ /NEMO/trunk/tests/WAD/cpp_WAD.fcm	(revision 14239)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_iomput key_qco 
+ bld::tool::fppkeys   key_xios key_qco 
